Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Mar 2021 19:09:44 +0200

> From: Pip Cet <[email-masked]>
> Date: Sat, 13 Mar 2021 16:32:50 +0000
> Cc: Andrea Corallo <[email-masked]>, [email-masked]
> 
> > And why I never had any problems with setjmp elsewhere in Emacs,
> > although we use it all the time in keyboard.c and elsewhere?
> 
> It's only natively-compiled code that attempts to call setjmp through
> a function pointer. This was fixed in the POSIX case, but I didn't
> touch the Windows code because I assumed that they used the extra
> argument in their non-standard API to do this right...

And if you remove that fix, you get the same or similar crashes in the
recipe I provided?